# 1. Глобальное правило по умолчанию
# Назначает автоматическую обработку текста: в репозитории ВСЕГДА будет LF.
* text=auto eol=lf

# 2. Явное указание текстовых файлов для исходного кода и конфигураций
*.go text eol=lf
*.ts text eol=lf
*.js text eol=lf
*.json text eol=lf
*.html text eol=lf
*.css text eol=lf
*.md text eol=lf
*.sh text eol=lf
*.conf text eol=lf
*.service text eol=lf
*.socket text eol=lf
*.mod text eol=lf
*.py text eol=lf
*.c text eol=lf
*.h text eol=lf
Makefile text eol=lf
makefile text eol=lf

# 3. Исключения для бинарных файлов (чтобы Git не пытался менять в них байты)
*.png binary
*.woff2 binary
*.woff binary
*.ttf binary
*.gz binary
# папка build и файлы внутри debian часто содержат бинарники или генерируемые файлы
build/* binary